## template<class T> class osg::buffered_value

> Simple buffered value array which is used for values that need to multibuffered on one per graphics context basis

### Public Methods

inline buffered_value()
buffered_value& operator = (const buffered_value& rhs)
inline void setAllElementsTo(const T& t)
inline void clear()
inline bool empty() const
inline unsigned int size() const
inline T& operator[] (unsigned int pos)
inline T operator[] (unsigned int pos) const

### Protected Fields

mutable std::vector<T> _array

## Documentation

> Simple buffered value array which is used for values that need to multibuffered on one per graphics context basis

`inline buffered_value()`

`buffered_value& operator = (const buffered_value& rhs)`

`inline void setAllElementsTo(const T& t)`

`inline void clear()`

`inline bool empty() const`

`inline unsigned int size() const`

`inline T& operator[] (unsigned int pos)`

`inline T operator[] (unsigned int pos) const`

`mutable std::vector<T> _array`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.